from ploneintranet.core import _
from ploneintranet.news.vocabularies.factory import StaticVocabularyFactory
from zope.schema.vocabulary import SimpleTerm

ShowAsVocabulary = StaticVocabularyFactory(
    SimpleTerm(value="carousel", title=_("Carousel")),
    SimpleTerm(value="collage", title=_("Collage")),
    SimpleTerm(value="hidden", title=_("Hidden")),
)

HeightVocabulary = StaticVocabularyFactory(
    SimpleTerm(value="adaptive", title=_("Adaptive")),
    SimpleTerm(value="fixed", title=_("Fixed")),
)

PositionVocabulary = StaticVocabularyFactory(
    SimpleTerm(value="above", title=_("Above body text")),
    SimpleTerm(value="below", title=_("Below body text")),
)
